IPCS(1)

NAME
ipcs - provide information on ipc facilities

SYNOPSIS
ipcs [ -asmq ] [ -tclup ]
ipcs [ -smq ] -i id
ipcs -h

DESCRIPTION
ipcs provides information on the ipc facilities for which the calling process has read access.

The -i option allows a specific resource id to be specified. Only information on this id will be printed.

Resources may be specified as follows:

-m  shared memory segments

-q  message queues

-s  semaphore arrays

-a  all (this is the default)

The output format may be specified as follows:

-t  time

-p  pid

-c  creator

-l  limits

-u  summary

SEE ALSO
ipcrm(1), ipcmk(1)

CONFORMING TO
The Linux ipcs utility is not fully compatible to the POSIX ipcs utility. The Linux version does not support the -b and -o options, but does support the -l and -u options not defined by POSIX. The portable application shall not use the -a, -b, -o, -l, and -u options.

AUTHOR
krishna balasubramanian (balasub@cis.ohio-state.edu)

AVAILABILITY
The ipcs command is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.